const express = require('express');
const axios = require('axios');

const app = express();
const PORT = 8080;

app.use(express.json());

app.use('/proxy', async (req, res) => {
  try {
    const response = await axios.head(req.query.url);
    res.status(response.status).send(response.headers);
  } catch (error) {
    console.log("test");
    console.error("Error during HEAD request: ", error);
    res.status(500).send("Internal Server Error");
  }
});

app.listen(PORT, () => {
  console.log(`Proxy server listening on port ${PORT}`);
});
